package com.ruoyi.buyerapi.domain;

import java.math.BigDecimal;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 企业信息管理财务数据对象 buyer_dept_financial_data
 * 
 * @author ruoyi
 * @date 2022-09-22
 */
@ApiModel(value = "企业信息管理财务数据对象")
@Data
public class BuyerDeptFinancialData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    @ApiModelProperty(value = "id")
    private String id;

    /** 备注 */
    @ApiModelProperty(value = "备注")
    @Excel(name = "备注")
    private String remarks;

    /** 删除标志（0代表存在 1代表删除） */
    @ApiModelProperty(value = "删除标志（0代表存在 1代表删除）")
    private String delFlag;

    /** 公司id */
    @ApiModelProperty(value = "公司id")
    @Excel(name = "公司id")
    private String deptId;

    /** 年度 */
    @ApiModelProperty(value = "年度")
    @Excel(name = "年度")
    private BigDecimal year;

    /** 总资产（万元） */
    @ApiModelProperty(value = "总资产（万元）")
    @Excel(name = "总资产", readConverterExp = "万=元")
    private BigDecimal totalAssets;

    /** 销售收入（万元） */
    @ApiModelProperty(value = "销售收入（万元）")
    @Excel(name = "销售收入", readConverterExp = "万=元")
    private BigDecimal saleRevenue;

    /** 附件数量 */
    @ApiModelProperty(value = "附件数量")
    @Excel(name = "销售收入", readConverterExp = "附件数量")
    private Integer amount;

    /** 纳税申请表 */
    @ApiModelProperty(value = "纳税申请表")
    @Excel(name = "纳税申请表")
    private String taxPaymentForm;

    /** 关联文件 */
    @ApiModelProperty(value = "关联文件")
    private List<BuyerFileInfo> buyerFileInfos;

    /** 文件信息 */
    @ApiModelProperty(value = "文件信息")
    private String fileNames;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setYear(BigDecimal year) 
    {
        this.year = year;
    }

    public BigDecimal getYear() 
    {
        return year;
    }
    public void setTotalAssets(BigDecimal totalAssets) 
    {
        this.totalAssets = totalAssets;
    }

    public BigDecimal getTotalAssets() 
    {
        return totalAssets;
    }
    public void setSaleRevenue(BigDecimal saleRevenue) 
    {
        this.saleRevenue = saleRevenue;
    }

    public BigDecimal getSaleRevenue() 
    {
        return saleRevenue;
    }
    public void setTaxPaymentForm(String taxPaymentForm) 
    {
        this.taxPaymentForm = taxPaymentForm;
    }

    public String getTaxPaymentForm() 
    {
        return taxPaymentForm;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("deptId", getDeptId())
            .append("year", getYear())
            .append("totalAssets", getTotalAssets())
            .append("saleRevenue", getSaleRevenue())
            .append("taxPaymentForm", getTaxPaymentForm())
            .toString();
    }
}
